import { getPublicUser, HpgState, prisma, User } from "@repo/db";
import { Socket, Server } from "socket.io";

interface PTTData {
	shouldTransmit: boolean;
	source: string;
}

export const handleConnectDesktop = (socket: Socket, io: Server) => () => {
	const user = socket.data.user as User;

	socket.join(`user:${user.id}`);
	socket.join(`desktop:${user.id}`);

	socket.on("ptt", async (data: PTTData) => {
		socket.to(`user:${user.id}`).emit("ptt", data);
	});
};
